com.alarmpoint.integrationagent.services

## Interface GlobalService

-     public interface GlobalService

  This interface expresses the global service. A global service contains the domain, name and URL. The script uses those information to call service
  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgentId()` Gets the agent ID.
    `java.lang.String` | `getDomain()` Gets the domain.
    `java.lang.String` | `getName()` Gets service name.
    `java.lang.String` | `getPassword()` Gets the agent access password.
    `java.lang.String` | `getUrl()` Gets URL.
    `boolean` | `isRequiredService(java.lang.String domain, java.lang.String name)` Check domain and service name match to this service or not.

- - ### Method Detail

    - #### getAgentId

          java.lang.String getAgentId()

      Gets the agent ID.
      Returns:
        a non-empty string

    - #### getDomain

          java.lang.String getDomain()

      Gets the domain.
      Returns:
        a non-empty string

    - #### getName

          java.lang.String getName()

      Gets service name.
      Returns:
        a non-empty string

    - #### getUrl

          java.lang.String getUrl()

      Gets URL.
      Returns:
        a non-empty string

    - #### getPassword

          java.lang.String getPassword()

      Gets the agent access password.
      Returns:
        a non-null, but perhaps empty, string

    - #### isRequiredService

          boolean isRequiredService(java.lang.String domain,
                                    java.lang.String name)

      Check domain and service name match to this service or not.

      NOTE: The check is case-insensitive

      Parameters:
        `domain` - - the domain need to be checked; must be non-null and will be trimmed of leading/trailing whitespace
        `name` - - the service name need to be checked; must be non-null and will be trimmed of leading/trailing whitespace
      Returns:
        if domain and service name are matched, return true. Otherwise return false